# List all verifications for a license It is possible to perform more than one verification for any given license. In order to go back in history you can use this endpoint to get a list of all verifications for the specified license. Endpoint: GET /providers/{providerId}/licenses/{licenseId}/verifications Version: 26.2.0.4309 Security: Bearer ## Path parameters: - `providerId` (string, required) The identifier describing the provider that holds the license. - `licenseId` (string, required) The identifier describing the license to get the verifications from. ## Response 200 fields (application/json): - `originalStatus` (string) The original status as our license verification process determined. Unlike status the originalStatus can never change. Enum: "Found", "Failed", "NeedsReview", "NotFound", "Pending", "Working" - `status` (string) The current status for this license verification. If you patch the license verification status (in case the status is NeedsReview) this property will be updated, but originalStatus will remain the same. Enum: "Found", "Failed", "NeedsReview", "NotFound", "Pending", "Working" - `trigger` (string) Set to Manual if the verification is triggered by a user or Monitor if the verification was triggered by the monitoring system. Enum: "Manual", "Monitor" - `started` (string) Timestamp of when the license verification started processing. - `processingTime` (integer) The duration in milliseconds it took to process the license verification from start to end. - `results` (array) Array of verification records returned by the source that match the license number. - `results.name` (string) Name of the provider as indicated by the source. - `results.licenseType` (string) Textual description of the license type as indicated by the source. - `results.licenseStatus` (string) Textual description of the license status as indicated by the source. - `results.licenseNumber` (string) License number as indicated by the source. - `results.address` (string) Address of the license holder as indicated by the source. - `results.issued` (string) Timestamp when the license was issued as indicated by the source. - `results.expires` (string) Timestamp when the license expires as indicated by the source. - `results.screenshots` (array) Array of paths to screenshots that were taken as proof of the license verification. - `results.attachments` (array) Array of attachments related to the verification that were taken from the source. - `results.attachments.file` (object) - `results.attachments.file.id` (string) Unique identifier for this file. - `results.attachments.file.providerId` (string) If set, the provider to which this file is associated. - `results.attachments.file.facilityId` (string) If set, the facility to which this file is associated. - `results.attachments.file.createdAt` (string) The time when the file was created. - `results.attachments.file.createdByUserId` (string) The identifier of the user who created the file. - `results.attachments.file.createdByUserEmail` (string) The e-mail of the user who created the file. - `results.attachments.file.path` (string) Path to the file. - `results.attachments.file.size` (integer) The size of the file. - `results.attachments.type` (string) Enum: "DisciplinaryAction", "VerificationLetter", "AdditionalDocument" - `results.attachments.source` (string) The original url for the file, taken from the verification source. - `results.attachments.downloadStatus` (string) The status of the download. ´Downloaded´ or ´Failed´ Enum: "Downloaded", "Failed" - `results.attachments.failureReason` (object) An object with a reason message template and an array of params. Can be used to construct a meaningful description of the error. Not set when no errors happened. - `results.attachments.failureReason.messageTemplate` (string) An informative human readable message describing the verification failure. - `results.attachments.failureReason.messageParams` (object) Collection of key/value pairs containing parameters to be replaced in messageTemplate. - `results.disciplinaryActions` (object) - `results.disciplinaryActions.type` (string) The schema type for data. Enum: "Form", "Table", "Section" - `results.disciplinaryActions.data` (any) The actual data for this property. The schema can change depending on type. See the [Flexible Data Model](/references/api/section/common-concepts/flexible-data-model) for more information. - `results.additionalProperties` (object) - `results.problems` (array) Array of problems that resulted in a NeedsReview status for the license verification. Enum: "NameMismatch", "LicenseTypeMismatch" - `results.matchScore` (object) - `results.matchScore.score` (number) - `results.matchScore.recommendation` (string) Enum: "Mismatch", "Match" - `results.prescriptiveAuthority` (string) Indicates whether the provider is legally authorized to prescribe medications, as reported by the licensing authority. - `results.compactStatus` (string) Indicates whether the provider holds a multistate/interstate practice privilege under an applicable compact, as reported by the licensing authority. - `additionalVerificationParameters` (array) List of additional parameters required for a select number of sources. Missing data for select sources will result in a failed verification. - `verificationSource` (object) - `verificationSource.name` (string) Name of the licensing organization. - `verificationSource.url` (string) The URL used to fetch the license data for this source. - `verificationSource.hasPassThroughFee` (boolean) Indicates whether the source charges a pass-through fee for a verification. - `correctResultIndex` (integer) In case there is more than 1 result you can patch the verification and specify which of the records is the correct match by setting correctResultIndex to the appropriate index matching the index in the results array. - `export` (string) Once a license verification is in an 'end state' a PDF export will be generated. Once the PDF is generated this property will contain the path to that export. That path can be used to [download the file](/references/api/files/downloadfile). Please note that the process to generate an export is asynchronous and it can take several seconds after a verification is completed before the export is ready. - `id` (string) Unique identifier for this license verification. - `monitoringMetadata` (object) - `monitoringMetadata.monitoringInterval` (string) The interval at which the data is being monitored.NOTE: Continuous interval is only supported by the NPDB dataset at this time. Enum: "Continuous", "Daily", "Weekly", "Monthly", "Yearly" - `monitoringMetadata.lastMonitoringDate` (string) The previous date on which this data was monitored, if any. - `monitoringMetadata.nextMonitoringDate` (string) The next date on which this data is scheduled to be monitored. - `monitoringMetadata.monitorId` (string) Unique identifier of the monitor. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields